From 820b7a487dfdb878084627467f321c4abf3572ff Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Oct 28 2025 14:59:51 +0000
Subject: f43: enable updates


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index c7f3dec..a8a0242 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -216,7 +216,8 @@ imagebuilder = {
         "name": "%s-raw" % release_name,
         "types": ["iot-raw-xz"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$arch/os/",
+                  "https://kojipkgs.fedoraproject.org/compose/updates/f43-updates/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
            "ref": "fedora/stable/$arch/iot",
@@ -228,7 +229,8 @@ imagebuilder = {
         "name": "%s-ostree" % release_name,
         "types": ["iot-installer"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$arch/os/",
+                  "https://kojipkgs.fedoraproject.org/compose/updates/f43-updates/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
            "ref": "fedora/stable/$arch/iot",
@@ -241,7 +243,8 @@ imagebuilder = {
         "name": "%s-provisioner" % release_name,
         "types": ["iot-simplified-installer"],
         "arches": ["x86_64", "aarch64"],
-        "repos": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$arch/os/"],
+        "repos": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$arch/os/",
+                  "https://kojipkgs.fedoraproject.org/compose/updates/f43-updates/compose/Everything/$arch/os/"],
         "ostree": {
            "url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
            "ref": "fedora/stable/$arch/iot",
@@ -268,8 +271,8 @@ ostree = {
             "config_branch": "f43",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$basearch/os/"
-            ]
+                "https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$basearch/os/",
+                "https://kojipkgs.fedoraproject.org/compose/updates/f43-updates/compose/Everything/$basearch/os/"],
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
             "ostree_ref": "fedora/stable/${basearch}/iot",
@@ -286,7 +289,8 @@ ostree_container = {
             "config_url": "https://pagure.io/fedora-iot/base-images",
             "config_branch": "main",
             "treefile": "fedora-43.yaml",
-            "repo": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$basearch/os/"],
+            "repo": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$basearch/os/",
+                     "https://kojipkgs.fedoraproject.org/compose/updates/f43-updates/compose/Everything/$basearch/os/"],
             "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
             "failable": ['*'],
             "subvariant": "base",
@@ -297,7 +301,8 @@ ostree_container = {
             "config_url": "https://pagure.io/fedora-iot/fedora-iot-bootc.git",
             "config_branch": "main",
             "treefile": "fedora-iot-43.yaml",
-            "repo": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$basearch/os/"],
+            "repo": ["https://kojipkgs.fedoraproject.org/compose/43/Fedora-43-20251023.0/compose/Everything/$basearch/os/",
+                     "https://kojipkgs.fedoraproject.org/compose/updates/f43-updates/compose/Everything/$basearch/os/"],
             "arches": ["x86_64", "aarch64"],
             "failable": ['*'],
             "name": "Fedora-IoT-bootc",

